<?xml version="1.0" encoding="ISO-8859-1"?>
<toc>
<book href="index.html" id="id5364247">
<title>dbx User's Guide</title>
<bookinfo href="front.html">
<title>Front Matter</title>
</bookinfo>
<preface href="pr01.html" id="id5418737">
<title>About This Guide</title>
<section href="pr01.html#id5418757" id="id5418757">
<title>What This Guide Contains</title>
</section>
<section href="pr01.html#id5361165" id="id5361165">
<title>What You Should Know Before Reading This Guide</title>
</section>
<section href="pr01.html#id5361176" id="id5361176">
<title>Suggestions for Further Reading</title>
</section>
<section href="pr01.html#id5364711" id="id5364711">
<title>Conventions Used in This Guide</title>
</section>
</preface>
<chapter href="ch01.html" id="id5362652">
<title>Chapter 1. Getting Started With dbx</title>
<section href="ch01.html#id5362862" id="id5362862">
<title>Examining Core Dumps to Determine Cause of Failure</title>
</section>
<section href="ch01.html#id5363380" id="id5363380">
<title>Debugging Your Programs</title>
</section>
<section href="ch01.html#id5363650" id="id5363650">
<title>Studying a New Program</title>
</section>
<section href="ch01.html#id5364045" id="id5364045">
<title>Avoiding Common Pitfalls</title>
</section>
</chapter>
<chapter href="ch02.html" id="id5435633">
<title>Chapter 2. Running dbx</title>
<section href="ch02.html#id5435847" id="id5435847">
<title>Compiling a Program for Debugging Under dbx</title>
</section>
<section href="ch02.html#id5435960" id="id5435960">
<title>Compiling and Linking Programs With Dynamic Shared Objects</title>
</section>
<section href="ch02.html#id5436106" id="id5436106">
<title>Invoking dbx</title>
<section href="ch02.html#id5436258" id="id5436258">
<title>dbx Options</title>
<table href="ch02.html#id5436284" id="id5436284">
<title>Table 2-1.  (continued)        	dbx Command-Line Options
</title>
</table>
</section>
<section href="ch02.html#id5436910" id="id5436910">
<title>Specifying Object and Core Files</title>
</section>
<section href="ch02.html#id5437064" id="id5437064">
<title>The dbx Prompt</title>
</section>
<section href="ch02.html#id5437185" id="id5437185">
<title>Specifying Files with dbx Commands</title>
</section>
</section>
<section href="ch02.html#id5437377" id="id5437377">
<title>Running Your Program</title>
</section>
<section href="ch02.html#id5437819" id="id5437819">
<title>Automatically Executing Commands on Startup</title>
</section>
<section href="ch02.html#id5437920" id="id5437920">
<title>Using Online Help</title>
</section>
<section href="ch02.html#id5438164" id="id5438164">
<title>Entering Multiple Commands on a Single Line</title>
</section>
<section href="ch02.html#id5438268" id="id5438268">
<title>Spanning a Command Across Multiple Lines</title>
</section>
<section href="ch02.html#id5438342" id="id5438342">
<title>Invoking a Shell</title>
</section>
<section href="ch02.html#id5438544" id="id5438544">
<title>Quitting dbx</title>
</section>
</chapter>
<chapter href="ch03.html" id="id5438597">
<title>Chapter 3. Examining Source Files</title>
<section href="ch03.html#id5438762" id="id5438762">
<title>Specifying Source Directories</title>
<section href="ch03.html#id5438878" id="id5438878">
<title>Specifying Source Directories With Arguments</title>
</section>
<section href="ch03.html#id5438986" id="id5438986">
<title>Specifying Source Directories With dbx Commands</title>
<section href="ch03.html#id5439209" id="id5439209">
<title>Examples of dir and use</title>
</section>
<section href="ch03.html#id5439377" id="id5439377">
<title>Using Path Remapping</title>
</section>
</section>
</section>
<section href="ch03.html#id5439570" id="id5439570">
<title>Changing Source Files</title>
</section>
<section href="ch03.html#id5439862" id="id5439862">
<title>Listing Source Code</title>
</section>
<section href="ch03.html#id5440387" id="id5440387">
<title>Searching Through Source Code</title>
</section>
<section href="ch03.html#id5440661" id="id5440661">
<title>Calling an Editor</title>
</section>
</chapter>
<chapter href="ch04.html" id="id5441003">
<title>Chapter 4. Controlling dbx</title>
<section href="ch04.html#id5441122" id="id5441122">
<title>Creating and Removing dbx Variables</title>
<section href="ch04.html#id5441341" id="id5441341">
<title>Setting dbx Variables</title>
</section>
<section href="ch04.html#id5441660" id="id5441660">
<title>Listing dbx Variables</title>
</section>
<section href="ch04.html#id5441735" id="id5441735">
<title>Removing Variables</title>
</section>
</section>
<section href="ch04.html#id5441839" id="id5441839">
<title>Using the History Feature and the History Editor</title>
<section href="ch04.html#id5441892" id="id5441892">
<title>Examining the History List</title>
</section>
<section href="ch04.html#id5441988" id="id5441988">
<title>Repeating Commands</title>
</section>
<section href="ch04.html#id5442496" id="id5442496">
<title>The History Editor</title>
</section>
</section>
<section href="ch04.html#id5442964" id="id5442964">
<title>Creating and Removing dbx Aliases</title>
<section href="ch04.html#id5443062" id="id5443062">
<title>Listing Aliases</title>
</section>
<section href="ch04.html#id5443218" id="id5443218">
<title>Creating Command Aliases</title>
</section>
<section href="ch04.html#id5443805" id="id5443805">
<title>Removing Command Aliases</title>
</section>
<section href="ch04.html#id5443868" id="id5443868">
<title>Alias Example</title>
</section>
</section>
<section href="ch04.html#id5444091" id="id5444091">
<title>Recording and Playing Back dbx Input and Output</title>
<section href="ch04.html#id5444171" id="id5444171">
<title>Recording Input</title>
</section>
<section href="ch04.html#id5444463" id="id5444463">
<title>Ending a Recording Session</title>
</section>
<section href="ch04.html#id5444733" id="id5444733">
<title>Playing Back Input</title>
</section>
<section href="ch04.html#id5444882" id="id5444882">
<title>Recording Output</title>
</section>
<section href="ch04.html#id5445235" id="id5445235">
<title>Playing Back Output</title>
</section>
<section href="ch04.html#id5445358" id="id5445358">
<title>Examining the Record State</title>
</section>
</section>
<section href="ch04.html#id5445421" id="id5445421">
<title>Executing dbx Scripts</title>
</section>
</chapter>
<chapter href="ch05.html" id="id5445590">
<title>Chapter 5. Examining and Changing Data</title>
<section href="ch05.html#id5445777" id="id5445777">
<title>Using Expressions</title>
<section href="ch05.html#id5445875" id="id5445875">
<title>Operators</title>
<table href="ch05.html#id5445944" id="id5445944">
<title>Table 5-1.  dbx Language Independent Operators </title>
</table>
<table href="ch05.html#id5446646" id="id5446646">
<title>Table 5-2. C Language Operators Recognized by dbx </title>
</table>
<table href="ch05.html#id5446909" id="id5446909">
<title>Table 5-3. Pascal Operators Recognized by dbx </title>
</table>
<table href="ch05.html#id5447084" id="id5447084">
<title>Table 5-4. Fortran 77 Operators Recognized by dbx </title>
</table>
</section>
<section href="ch05.html#id5447220" id="id5447220">
<title>Constants</title>
<section href="ch05.html#id5447264" id="id5447264">
<title>Numeric Constants</title>
</section>
<section href="ch05.html#id5447474" id="id5447474">
<title>String Constants</title>
</section>
</section>
</section>
<section href="ch05.html#id5447657" id="id5447657">
<title>Printing Expressions</title>
<table href="ch05.html#id5448028" id="id5448028">
<title>Table 5-5.  Variable Types</title>
</table>
</section>
<section href="ch05.html#id5448696" id="id5448696">
<title>Using Data Types and Type Coercion (Casts)</title>
</section>
<section href="ch05.html#id5448774" id="id5448774">
<title>Displaying and Changing Program Variables</title>
<section href="ch05.html#id5448846" id="id5448846">
<title>Qualifying Variable Names</title>
</section>
<section href="ch05.html#id5449161" id="id5449161">
<title>Variable Scope</title>
</section>
<section href="ch05.html#id5449202" id="id5449202">
<title>Displaying the Value of a Variable</title>
</section>
<section href="ch05.html#id5449635" id="id5449635">
<title>Changing the Value of a Variable</title>
</section>
<section href="ch05.html#id5449874" id="id5449874">
<title>Conflicts Between Variable Names and Keywords</title>
</section>
<section href="ch05.html#id5450154" id="id5450154">
<title>Case Sensitivity in Variable Names</title>
</section>
</section>
<section href="ch05.html#id5450211" id="id5450211">
<title>Determining the Scope of Variables</title>
</section>
<section href="ch05.html#id5450354" id="id5450354">
<title>Displaying Type Declarations</title>
</section>
<section href="ch05.html#id5450477" id="id5450477">
<title>Examining the Stack</title>
<section href="ch05.html#id5450606" id="id5450606">
<title>Printing Stack Traces</title>
</section>
<section href="ch05.html#id5451076" id="id5451076">
<title>Moving Within the Stack</title>
</section>
<section href="ch05.html#id5451652" id="id5451652">
<title>Moving to a Specified Procedure</title>
</section>
<section href="ch05.html#id5452018" id="id5452018">
<title>Printing Activation Level Information</title>
</section>
</section>
<section href="ch05.html#id5452302" id="id5452302">
<title>Using Interactive Function Calls</title>
<section href="ch05.html#id5452383" id="id5452383">
<title>Using ccall</title>
</section>
<section href="ch05.html#id5452656" id="id5452656">
<title>Using clearcalls</title>
</section>
<section href="ch05.html#id5452833" id="id5452833">
<title>Nesting Interactive Function Calls</title>
</section>
</section>
<section href="ch05.html#id5452950" id="id5452950">
<title>C++ Considerations</title>
<section href="ch05.html#id5452989" id="id5452989">
<title>Accessing C++ Member Variables</title>
</section>
<section href="ch05.html#id5453091" id="id5453091">
<title>Referring to C++ Functions</title>
</section>
</section>
</chapter>
<chapter href="ch06.html" id="id5453515">
<title>Chapter 6. Controlling Program Execution</title>
<section href="ch06.html#id5453780" id="id5453780">
<title>Setting Breakpoints</title>
<section href="ch06.html#id5453893" id="id5453893">
<title>Setting Unconditional Breakpoints</title>
</section>
<section href="ch06.html#id5454139" id="id5454139">
<title>Setting Conditional Breakpoints</title>
</section>
<section href="ch06.html#id5454178" id="id5454178">
<title>Stopping If a Variable or Memory Location Has Changed</title>
</section>
<section href="ch06.html#id5454565" id="id5454565">
<title>Using Fast Watchpoints</title>
</section>
<section href="ch06.html#id5454794" id="id5454794">
<title>Stopping If a Test Expression Is True</title>
</section>
<section href="ch06.html#id5455018" id="id5455018">
<title>Conditional Breakpoints Combining Variable and Test Clauses</title>
</section>
<section href="ch06.html#id5455352" id="id5455352">
<title>Continuing Execution After a Breakpoint</title>
</section>
</section>
<section href="ch06.html#id5455719" id="id5455719">
<title>Tracing Program Execution</title>
</section>
<section href="ch06.html#id5456781" id="id5456781">
<title>Writing Conditional Commands</title>
</section>
<section href="ch06.html#id5457770" id="id5457770">
<title>Managing Breakpoints, Traces, and Conditional Commands</title>
<section href="ch06.html#id5457799" id="id5457799">
<title>Listing Breakpoints, Traces, and Conditional Commands</title>
</section>
<section href="ch06.html#id5457972" id="id5457972">
<title>Disabling Breakpoints, Traces, and Conditional Commands</title>
</section>
<section href="ch06.html#id5458166" id="id5458166">
<title>Enabling Breakpoints, Traces, and Conditional Commands</title>
</section>
<section href="ch06.html#id5458363" id="id5458363">
<title>Deleting Breakpoints, Traces, and Conditional Commands</title>
</section>
</section>
<section href="ch06.html#id5458613" id="id5458613">
<title>Using Signal Processing</title>
<section href="ch06.html#id5458632" id="id5458632">
<title>Catching and Ignoring Signals</title>
</section>
<section href="ch06.html#id5459122" id="id5459122">
<title>Continuing After Catching a Signal</title>
</section>
</section>
<section href="ch06.html#id5459579" id="id5459579">
<title>Stopping at System Calls</title>
</section>
<section href="ch06.html#id5460370" id="id5460370">
<title>Stepping Through Your Program</title>
<section href="ch06.html#id5460658" id="id5460658">
<title>Stepping Using the step Command</title>
<table href="ch06.html#id5460839" id="id5460839">
<title>Table 6-1. Effect of $stepintoall Variable on the step Command</title>
</table>
</section>
<section href="ch06.html#id5461013" id="id5461013">
<title>Stepping Using the next Command</title>
</section>
<section href="ch06.html#id5461105" id="id5461105">
<title>Using the return Command</title>
</section>
</section>
<section href="ch06.html#id5461243" id="id5461243">
<title>Starting at a Specified Line</title>
</section>
</chapter>
<chapter href="ch07.html" id="id5461339">
<title>Chapter 7. Debugging Machine Language Code</title>
<section href="ch07.html#id5461474" id="id5461474">
<title>Examining and Changing Register Values</title>
<table href="ch07.html#id5461550" id="id5461550">
<title>Table 7-1.  Hardware Registers and Aliases</title>
</table>
<section href="ch07.html#id5462385" id="id5462385">
<title>Printing Register Values</title>
</section>
<section href="ch07.html#id5462646" id="id5462646">
<title>Changing Register Values</title>
</section>
</section>
<section href="ch07.html#id5462814" id="id5462814">
<title>Examining Memory and Disassembling Code</title>
<table href="ch07.html#id5463144" id="id5463144">
<title>Table 7-2.  Memory Display Format Codes</title>
</table>
</section>
<section href="ch07.html#id5463800" id="id5463800">
<title>Setting Machine-Level Breakpoints</title>
<section href="ch07.html#id5463977" id="id5463977">
<title>Syntax of the stopi Command</title>
</section>
<section href="ch07.html#id5464879" id="id5464879">
<title>Linking With DSOs</title>
</section>
</section>
<section href="ch07.html#id5465021" id="id5465021">
<title>Continuing Execution After a Machine-Level Breakpoint</title>
</section>
<section href="ch07.html#id5465404" id="id5465404">
<title>Tracing Execution at the Machine Level</title>
</section>
<section href="ch07.html#id5466126" id="id5466126">
<title>Writing Conditional Commands at the Machine Level</title>
</section>
<section href="ch07.html#id5466599" id="id5466599">
<title>Stepping Through Machine Code</title>
</section>
</chapter>
<chapter href="ch08.html" id="id5466966">
<title>Chapter 8. Multiple Process Debugging</title>
<section href="ch08.html#id5467262" id="id5467262">
<title>Processes</title>
<section href="ch08.html#id5467344" id="id5467344">
<title>Using the pid Clause</title>
</section>
<section href="ch08.html#id5467510" id="id5467510">
<title>Using the pgrp Clause</title>
</section>
<section href="ch08.html#id5467550" id="id5467550">
<title>Using Scripts</title>
</section>
</section>
<section href="ch08.html#id5467664" id="id5467664">
<title>Listing Available Processes</title>
</section>
<section href="ch08.html#id5468044" id="id5468044">
<title>Adding a Process to the Process Pool</title>
</section>
<section href="ch08.html#id5468211" id="id5468211">
<title>Deleting a Process From the Process Pool</title>
</section>
<section href="ch08.html#id5468355" id="id5468355">
<title>Selecting a Process</title>
</section>
<section href="ch08.html#id5468542" id="id5468542">
<title>Suspending a Process</title>
</section>
<section href="ch08.html#id5468791" id="id5468791">
<title>Resuming a Suspended Process</title>
</section>
<section href="ch08.html#id5469214" id="id5469214">
<title>Waiting for a Resumed Process</title>
</section>
<section href="ch08.html#id5469484" id="id5469484">
<title>Waiting for Any Running Process</title>
</section>
<section href="ch08.html#id5469670" id="id5469670">
<title>Killing a Process</title>
</section>
<section href="ch08.html#id5469776" id="id5469776">
<title>Handling fork System Calls</title>
<table href="ch08.html#id5469906" id="id5469906">
<title>Table 8-1.  How the $promptonfork Variable Affects dbx's Treatment of Forks</title>
</table>
</section>
<section href="ch08.html#id5470194" id="id5470194">
<title>Handling exec System Calls</title>
</section>
<section href="ch08.html#id5470395" id="id5470395">
<title>Handling sproc System Calls and Process Group Debugging</title>
<table href="ch08.html#id5470555" id="id5470555">
<title>Table 8-2. How the $mp_program Variable Affects dbx's Treatment of sprocs</title>
</table>
</section>
</chapter>
<appendix href="apa.html" id="id5471438">
<title>Appendix A. dbx Commands</title>
</appendix>
<appendix href="apb.html" id="id5483881">
<title>Appendix B. Predefined Aliases</title>
<table href="apb.html#id5483995" id="id5483995">
<title>Table B-1.  Predefined Aliases</title>
</table>
</appendix>
<appendix href="apc.html" id="id5485606">
<title>Appendix C. Predefined dbx Variables    </title>
<table href="apc.html#id5485744" id="id5485744">
<title>Table C-1.  Predefined dbx Variables</title>
</table>
</appendix>
<index href="ix01.html" id="ix">
<title>Index</title>
</index>
</book>
</toc>
